<?php
// Variables attendues du contrôleur: $translations, $currentLang, $darkModeClass, $errorMessage
require_once APP_ROOT_DIR . '/src/Views/shared/header.php';
?>

    <div class="container">
        <h1><?= htmlspecialchars($translations['create_new_perimeter']) ?></h1>
        <a href="/perimeters" class="button secondary-button"><?= htmlspecialchars($translations['back_to_perimeter_list']) ?></a>

        <?php if (isset($errorMessage)): ?>
            <p class="error-message"><?= htmlspecialchars($errorMessage); ?></p>
        <?php endif; ?>

        <form action="/perimeters/create" method="post">
            <label for="name"><?= htmlspecialchars($translations['perimeter_name']) ?>:</label><br>
            <input type="text" id="name" name="name" required placeholder="ex: Finance, RH, Marketing"><br><br>

            <button type="submit" class="button primary-button"><?= htmlspecialchars($translations['create_perimeter_button']) ?></button>
        </form>
    </div>

<?php
require_once APP_ROOT_DIR . '/src/Views/shared/footer.php';
?>
